//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "LogBase.hpp"
#include "LogError.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TSMExceptionLog *SMExceptionLog;
        TGroupBox *gbRaiseError;
        TButton *btnRaise;
        TRadioButton *rbDivideByZero;
        TRadioButton *rbConvertError;
        TRadioButton *rbStringListError;
        TRadioButton *rbAccessViolation;
        TRadioButton *rbInvalidPointer;
        TRadioButton *rbResNotFound;
        TPageControl *pcExceptionLog;
        TTabSheet *tsGeneral;
        TRadioGroup *rgTypeErrorDialog;
        TGroupBox *gbFormats;
        TCheckBox *cbAddDate;
        TCheckBox *cbAddTime;
        TCheckBox *cbAddPhysAddr;
        TCheckBox *cbAddMessage;
        TCheckBox *cbAddSeparator;
        TCheckBox *AddSourceInfo;
        TTabSheet *tsEMail;
        TPanel *pnlSendEMail;
        TLabel *lblEMail;
        TLabel *lblSubject;
        TLabel *lblBody;
        TCheckBox *cbAttachLog;
        TCheckBox *cbAttachScreenshot;
        TEdit *edEMail;
        TEdit *edSubject;
        TMemo *memoBody;
        TCheckBox *cbOpenBeforeSend;
        TCheckBox *cbSendMail;
        TTabSheet *tsWEB;
        TPanel *pnlGoWEB;
        TLabel *lblWWW;
        TEdit *edGoWEB;
        TCheckBox *cbGoWEB;
        TTabSheet *tsExceptionFilter;
        TPageControl *pcFilters;
        TTabSheet *tsStandard;
        TGroupBox *gbStandard;
        TCheckBox *cbAbort;
        TCheckBox *cbOutOfMemory;
        TCheckBox *cbInOutError;
        TCheckBox *cbDivByZero;
        TCheckBox *cbIntError;
        TCheckBox *cbRangeError;
        TCheckBox *cbIntOverflow;
        TCheckBox *cbMathError;
        TCheckBox *cbInvalidOp;
        TCheckBox *cbZeroDivide;
        TCheckBox *cbOverflow;
        TCheckBox *cbUnderflow;
        TCheckBox *cbInvalidPointer;
        TCheckBox *cbInvalidCast;
        TCheckBox *cbConvertError;
        TCheckBox *cbAccessViolation;
        TCheckBox *cbPrivilege;
        TCheckBox *cbStackOverflow;
        TCheckBox *cbControlC;
        TCheckBox *cbVariantError;
        TCheckBox *cbPropReadOnly;
        TCheckBox *cbPropWriteOnly;
        TCheckBox *cbExternalException;
        TCheckBox *cbAssertionFailed;
        TCheckBox *cbAbstractError;
        TCheckBox *cbIntfCastError;
        TCheckBox *cbInvalidContainer;
        TCheckBox *cbInvalidInsert;
        TCheckBox *cbPackageError;
        TCheckBox *cbWin32Error;
        TTabSheet *tsClass;
        TGroupBox *gbClass;
        TCheckBox *cbStreamError;
        TCheckBox *cbFCreateError;
        TCheckBox *cbFOpenError;
        TCheckBox *cbReadError;
        TCheckBox *cbFilerError;
        TCheckBox *cbWriteError;
        TCheckBox *cbClassNotFound;
        TCheckBox *cbMethodNotFound;
        TCheckBox *cbInvalidImage;
        TCheckBox *cbResNotFound;
        TCheckBox *cbListError;
        TCheckBox *cbBitsError;
        TCheckBox *cbStringListError;
        TCheckBox *cbComponentError;
        TCheckBox *cbParserError;
        TCheckBox *cbOutOfResources;
        TCheckBox *cbInvalidOperation;
        TCheckBox *cbThread;
        TTabSheet *tsGraphic;
        TGroupBox *gbGraphic;
        TCheckBox *cbInvalidGraphic;
        TCheckBox *cbInvalidGraphicOperation;
        TTabSheet *tsViewLog;
        TListBox *lbLog;
        void __fastcall rgTypeErrorDialogClick(TObject *Sender);
        void __fastcall cbSendMailClick(TObject *Sender);
        void __fastcall cbGoWEBClick(TObject *Sender);
        void __fastcall edGoWEBExit(TObject *Sender);
        void __fastcall edEMailExit(TObject *Sender);
        void __fastcall edSubjectExit(TObject *Sender);
        void __fastcall memoBodyExit(TObject *Sender);
        void __fastcall cbAttachLogClick(TObject *Sender);
        void __fastcall cbAttachScreenshotExit(TObject *Sender);
        void __fastcall cbOpenBeforeSendExit(TObject *Sender);
        void __fastcall cbAddDateClick(TObject *Sender);
        void __fastcall cbAddTimeExit(TObject *Sender);
        void __fastcall cbAddPhysAddrExit(TObject *Sender);
        void __fastcall cbAddMessageClick(TObject *Sender);
        void __fastcall cbAddSeparatorClick(TObject *Sender);
        void __fastcall btnRaiseClick(TObject *Sender);
        void __fastcall SMExceptionLogSaveException(TObject *Sender,
          Exception *E, AnsiString &LogText, bool &Accept);
        void __fastcall AddSourceInfoClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
