{************************************************}
{                                                }
{               EurekaLog v 4.2                  }
{                 Include file                   }
{                                                }
{  Copyright (c) 2001 - 2003 by Fabio Dell'Aria  }
{                                                }
{************************************************}

//{$DEFINE DEMO}
{$DEFINE PROFESSIONAL}// Comment only for Standard version.

{$R-}// Disable Range-Checks.
{$Q-}// Disable Overflow-Checks.
{$W-}// Disable Stack-Frames generation.
{$B-}// Disable Complete-Boolean evaluation.
{$T-}// Disable Typed-Pointer generation.
{$U-}// Disable Safe-Divide generation.
{$J-}// Disable Assignable-Typed-Constant.
{$O+}// Activate Optimization.
{$A+}// Activate Record-Field-Alignment.
{$X+}// Activate Extended-Syntax.
{$V+}// Activate Strict-Var-Strings.
{$P+}// Activate Open-Parameters.
{$H+}// Activate Huge-Strings.
{$C+}// Activate Assertions.
{$Z1}// Set MinEnumSize=1 byte.
{$D-}// Disable Debug-Infos generation (comment it ONLY for debug).

// Delphi DEFINE directives...

// Experimental...
{$IFDEF VER125}// C++ Builder 4.0
  {$DEFINE VER120}// Simulate Delphi 4
{$ENDIF}

{$IFDEF VER100}// Delphi 3.0
  {$DEFINE Delphi3Up}
  {$DEFINE Delphi3}
  {$DEFINE Delphi3Down}
  {$DEFINE Delphi4Down}
  {$DEFINE Delphi5Down}
  {$DEFINE Delphi6Down}
  {$DEFINE Delphi7Down}
{$ENDIF}

{$IFDEF VER120}// Delphi 4.0
  {$DEFINE Delphi3Up}
  {$DEFINE Delphi4Up}
  {$DEFINE Delphi4}
  {$DEFINE Delphi4Down}
  {$DEFINE Delphi5Down}
  {$DEFINE Delphi6Down}
  {$DEFINE Delphi7Down}
{$ENDIF}

{$IFDEF VER130}// Delphi 5.0 -CBuilder 5
  {$DEFINE Delphi3Up}
  {$DEFINE Delphi4Up}
  {$DEFINE Delphi5Up}
  {$DEFINE Delphi5}
  {$DEFINE Delphi5Down}
  {$DEFINE Delphi6Down}
  {$DEFINE Delphi7Down}
{$ENDIF}

{$IFDEF VER140}// Delphi 6.0 - CBuilder 6
  {$DEFINE Delphi3Up}
  {$DEFINE Delphi4Up}
  {$DEFINE Delphi5Up}
  {$DEFINE Delphi6Up}
  {$DEFINE Delphi6}
  {$DEFINE Delphi6Down}
  {$DEFINE Delphi7Down}
{$ENDIF}

{$IFDEF VER150}// Delphi 7.0
  {$DEFINE Delphi3Up}
  {$DEFINE Delphi4Up}
  {$DEFINE Delphi5Up}
  {$DEFINE Delphi6Up}
  {$DEFINE Delphi7Up}
  {$DEFINE Delphi7}
  {$DEFINE Delphi7Down}
{$ENDIF}

// Disable "Special" Warnings Messages...

{$IFDEF Delphi6Up}
  {$WARN SYMBOL_PLATFORM OFF}// Disable General Platform Warning Messages.
  {$WARN UNIT_PLATFORM OFF}//   Disable Unit Platform Warning Messages.
  {$WARN UNIT_DEPRECATED OFF}// Disable Unit Deprecated Warning Messages.
  {$WARN SYMBOL_DEPRECATED OFF}// Disable Symbol Deprecated Warning Messages.
  {$IFDEF Delphi7Up}
    {$WARN UNSAFE_CODE OFF}// Disable Unsafe Code Warning Messages.
    {$WARN UNSAFE_TYPE OFF}// Disable Unsafe Type Warning Messages.
    {$WARN UNSAFE_CAST OFF}// Disable Unsafe TypeCast Warning Messages.
  {$ENDIF}
{$ENDIF}

{$IFDEF BCB}
  {$DEFINE CBuilder}
  {$ObjExportAll On}
{$ENDIF}
