program tds2map;

{$APPTYPE CONSOLE}

uses LBD, SysUtils;

var
  strTDSFileName, strMAPFileName: string;
begin
  if ParamCount < 1 then
  begin
    WriteLn('TDS2MAP v1.2 Written By Mike Shkolnik, Scalabium Software');
    WriteLn('http://www.scalabium.com, mshkolnik@scalabium.com');
    WriteLn;
    WriteLn('add the source lines from tds into mapfile.');
    WriteLn;
    WriteLn('tds2map.exe <tds_file_name> [<map_file_name>]');
    exit
  end;

  strTDSFileName := ParamStr(1);
  if ParamCount > 1 then
    strMAPFileName := ParamStr(2)
  else
    strMAPFileName := ChangeFileExt(strTDSFileName, '.map');

  GenerateMapFile(strTDSFileName, strMAPFileName);
end.